[torquedev] [torqueusers] TORQUE 3.0.0 Released

Michael Jennings mej at lbl.gov
Wed Dec 8 11:51:47 MST 2010


On Wednesday, 08 December 2010, at 11:02:50 (-0700),
Ken Nielson wrote:

> I do not have a problem with that. Some have commented on this list that 
> minor versions do not need to be backward compatible. However, a change 
> as large as what we plan for 3.1 might be better served by calling it 4.0.
> 
> Comments?

I have to agree with Glen on this one, not just based on established
practices.  A change as architecturally fundamental as moving from
single-threaded to multi-threaded execution, IMHO, warrants a major
version bump.

Also, I think it fits with the Principle of Least Surprise.  As a
user, I'd find it surprising if 2.3 and 2.4 and 2.5 were all
line-protocol compatible, 3.0 wasn't...and then 3.1 wasn't either.

Michael

-- 
Michael Jennings <mej at lbl.gov>
Linux Systems and Cluster Engineer
High-Performance Computing Services
Bldg 50B-3209E      W: 510-495-2687
MS 050C-3396        F: 510-486-8615


More information about the torquedev mailing list